/*******************************************************************/
/*                                                                 */
/* WINMOVE.CMD                                                     */
/*                                                                 */
/*******************************************************************/
'@echo off'

/* Detect if we are running under PMREXX.                          */
/* Some of the REXXUTIL functions (such as SysCurPos) only work    */
/* in OS/2 command prompt sessions, not in PMREXX.                 */
If Address() = 'PMREXX' Then  Do
  Say 'This is a OpalisRexx-Testprogram '
  End
  /* We now know we are running in a line-mode session.            */

/* BtxLoadFuncs:  This function will load all the rest,            */
/* so we do not have to make many calls to RxFuncAdd.              */


Say 'This program will call many of the REXX functions provided'
Say '  in REXXBTX.DLL.  The first one is BtxLoadFuncs, which makes'
Say '  all the others available.'

call RxFuncAdd 'BtxLoadFuncs', 'REXXBTX', 'BtxLoadFuncs'
call BtxLoadFuncs
Say 'BtxLoadFuncs is complete.'

SAY "Das uere Erscheinungsbild des Opalis-Bildschirmtextdekoders lt sich ber das REXX-Interface steuern:"
SAY " "
SAY "Opalis in die Bildschirmecken 'schieben'.............."

DispParameter.=""
DispParameter.1="SETTOPLEFT" 
DispParameter.2="SETTOPRIGHT"
DispParameter.3="SETBOTTOMRIGHT"
DispParameter.4="SETBOTTOMLEFT"

DO Durchlauf=1 TO 5
	DO Position=1 TO 4
		call BtxDispWin DispParameter.Position
		/* BEEP "100","100"	*/
		DO Verzoegerung=1 TO (10000/Durchlauf) ; END
	END
END

SAY "Opalis vergrern............."

DO Vergroessern=1 TO 20
	call BtxDispWin "SETPOS","0","0",(Vergroessern*3*10),(Vergroessern*2*10)
END

SAY "Opalis verkleinern............."

DO Vergroessern=1 TO 10
	call BtxDispWin "SETPOS",(Vergroessern*3*10),(Vergroessern*2*10),600-(Vergroessern*3*10),400-(Vergroessern*2*10)
END

SAY "Opalis klein- und gro schalten.................."

DispParameter.=""
DispParameter.1="MINIMIZE" 
DispParameter.2="MAXIMIZE"

DO Durchlauf=1 TO 5
	DO i=1 TO 2
		call BtxDispWin DispParameter.i
		DO Verzoegerung= 1 TO 5000 ; END
	END
END

call BtxDispWin "SETPOS",10,10,600,400

SAY "Ende der Demonstration...."
SAY "Viel Spa noch mit Opalis, Ihr Opalis-Team.........."

Say 'Ende'

call BtxRemoveFuncs

